import type { LayoutOptions } from '@ewizardjs/alias-resolver';
import type { ComponentsFileProps } from '@ewizardjs/builder-utils';
import type { SystemSettings } from '@ewizardjs/system-settings';
export default function (systemSettings: SystemSettings, presentationPath: string, componentsProps: ComponentsFileProps, currentTheme: string | undefined, layoutOptions: LayoutOptions): Promise<{
    include: string[];
    use: {
        loader: string;
        options: {
            blocksPath: any;
            presentationPath: string;
            componentsProps: ComponentsFileProps;
            blockManifestPath: string;
            blocksThemesPath: string;
            componentsThemesPath: string;
            masterTemplatePath: any;
            currentTheme: string;
            layoutOptions: LayoutOptions;
            componentManifestPath: string;
        };
    }[];
}[]>;
