import { Builder } from './builder';
import type { DevBuilderOptions } from '../interfaces';
import type { compilation, Stats } from 'webpack';
export declare class DevBuilder extends Builder {
    build(options?: DevBuilderOptions): Promise<Stats | compilation.MultiStats>;
    serve(options?: DevBuilderOptions): Promise<void>;
    private createServer;
    private findPort;
    private getHistoryApiConfigurations;
    private isHistoryApiFallbackEnabled;
    private isSiteContentType;
    private isHistoryRouterMode;
}
